package po

import "plugins/alipay_cpn/internal/vo"

type NotifyBizContent struct {
	PublishAmount    int64            `json:"publish_amount"`
	ActivityName     string           `json:"activity_name"`
	UserID           string           `json:"user_id"`
	GmtVoucherCreate int64            `json:"gmt_voucher_create"`
	VoucherStatus    vo.VoucherStatus `json:"voucher_status"`
	BizType          vo.NotifyBizType `json:"biz_type"`
	ActivityID       string           `json:"activity_id"`
	VoucherID        string           `json:"voucher_id"`
	OrderID          string           `json:"order_id"`
}

type Notify struct {
	Charset      string `json:"charset"`
	UtcTimestamp string `json:"utc_timestamp"`
	AppId        string `json:"app_id"`
	Version      string `json:"version"`
	SignType     string `json:"sign_type"`
	NotifyId     string `json:"notify_id"`
	MsgMethod    string `json:"msg_method"`
	Sign         string `json:"sign"`
	BizContent   string `json:"biz_content"`
}
